Debian Bug report logs - #596968
alsa-lib: Please add preliminary support for armhf

version graph

Package: alsa-lib; Maintainer for alsa-lib is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@debian.org>

Date: Wed, 15 Sep 2010 13:45:01 UTC

Severity: important

Found in version 1.0.23-1

Fixed in version alsa-lib/1.0.23-3

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#596968; Package alsa-lib. (Wed, 15 Sep 2010 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 15 Sep 2010 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alsa-lib: Please add preliminary support for armhf
Date: Wed, 15 Sep 2010 16:45:46 +0300
[Message part 1 (text/plain, inline)]
Package: alsa-lib
Version: 1.0.23-1
Severity: wishlist


The armhf port has just been started on debian-ports. Please consider
adding support in alsa-lib. The attached patch works.

Thanks

Konstantinos Margaritis
Genesi USA, Senior Software engineer, armhf port maintainer
Debian Developer
[alsa-lib-armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#596968; Package alsa-lib. (Wed, 15 Sep 2010 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 15 Sep 2010 16:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 596968@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Konstantinos Margaritis <markos@debian.org>, 596968@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#596968: alsa-lib: Please add preliminary support for armhf
Date: Wed, 15 Sep 2010 18:25:00 +0200
* Konstantinos Margaritis [100915 16:45 +0300]:
> Package: alsa-lib
> Version: 1.0.23-1
> Severity: wishlist
> 
> 
> The armhf port has just been started on debian-ports. Please consider
> adding support in alsa-lib. The attached patch works.

This isn't squeeze relevant, isn't it?
Elimar

-- 
  >what IMHO then?
  IMHO - Inhalation of a Multi-leafed Herbal Opiate ;)
              --posting from alex in debian-user--




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#596968; Package alsa-lib. (Wed, 15 Sep 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 15 Sep 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 596968@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: Konstantinos Margaritis <markos@debian.org>, 596968@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#596968: alsa-lib: Please add preliminary support for armhf
Date: Wed, 15 Sep 2010 19:47:28 +0300
On Wednesday 15 September 2010 19:25:00 Elimar Riesebieter wrote:
> * Konstantinos Margaritis [100915 16:45 +0300]:
> > Package: alsa-lib
> > Version: 1.0.23-1
> > Severity: wishlist
> > 
> > 
> > The armhf port has just been started on debian-ports. Please consider
> > adding support in alsa-lib. The attached patch works.
> 
> This isn't squeeze relevant, isn't it?
> Elimar

No not at all, we're targetting squeeze+1 -IF things go work out fine and the 
port is complete by that time. Right now we're uploading only to unstable and 
only to debian-ports.org. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#596968; Package alsa-lib. (Wed, 15 Sep 2010 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 15 Sep 2010 17:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 596968@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: Konstantinos Margaritis <markos@debian.org>, 596968@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#596968: alsa-lib: Please add preliminary support for armhf
Date: Wed, 15 Sep 2010 19:06:31 +0200
[Message part 1 (text/plain, inline)]
* Konstantinos Margaritis [100915 19:47 +0300]:
> On Wednesday 15 September 2010 19:25:00 Elimar Riesebieter wrote:
> > * Konstantinos Margaritis [100915 16:45 +0300]:
> > > Package: alsa-lib
> > > Version: 1.0.23-1
> > > Severity: wishlist
> > > 
> > > 
> > > The armhf port has just been started on debian-ports. Please consider
> > > adding support in alsa-lib. The attached patch works.
> > 
> > This isn't squeeze relevant, isn't it?
> > Elimar
> 
> No not at all, we're targetting squeeze+1 -IF things go work out fine and the 
> port is complete by that time. Right now we're uploading only to unstable and 
> only to debian-ports.org. 

We first have to fix an important bug in alsa-lib (#596565) which is
still pending and need to enter squeeze. Maybe next upload we'll
implement armhf arch, though.

Elimar

-- 
  The path to source is always uphill!
                                -unknown-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#596968; Package alsa-lib. (Sun, 26 Sep 2010 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 26 Sep 2010 17:54:05 GMT) Full text and rfc822 format available.

Message #25 received at 596968@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Konstantinos Margaritis <markos@debian.org>, 596968@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#596968: alsa-lib: Please add preliminary support for armhf
Date: Sun, 26 Sep 2010 19:51:31 +0200
tags 596968 pending
thanks

* Konstantinos Margaritis [100915 16:45 +0300]:
> Package: alsa-lib
> Version: 1.0.23-1
> Severity: wishlist
> 
> 
> The armhf port has just been started on debian-ports. Please consider
> adding support in alsa-lib. The attached patch works.
> 
> Thanks

Pending

Elimar


-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)




Added tag(s) pending. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Sun, 26 Sep 2010 18:03:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:11 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Mon, 18 Apr 2011 18:36:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@debian.org>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #34 received at 596968-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 596968-close@bugs.debian.org
Subject: Bug#596968: fixed in alsa-lib 1.0.23-3
Date: Mon, 18 Apr 2011 18:33:01 +0000
Source: alsa-lib
Source-Version: 1.0.23-3

We believe that the bug you reported is fixed in the latest version of
alsa-lib, which is due to be installed in the Debian FTP archive:

alsa-lib_1.0.23-3.debian.tar.bz2
  to main/a/alsa-lib/alsa-lib_1.0.23-3.debian.tar.bz2
alsa-lib_1.0.23-3.dsc
  to main/a/alsa-lib/alsa-lib_1.0.23-3.dsc
lib32asound2-dev_1.0.23-3_amd64.deb
  to main/a/alsa-lib/lib32asound2-dev_1.0.23-3_amd64.deb
lib32asound2_1.0.23-3_amd64.deb
  to main/a/alsa-lib/lib32asound2_1.0.23-3_amd64.deb
libasound2-dev_1.0.23-3_amd64.deb
  to main/a/alsa-lib/libasound2-dev_1.0.23-3_amd64.deb
libasound2-doc_1.0.23-3_all.deb
  to main/a/alsa-lib/libasound2-doc_1.0.23-3_all.deb
libasound2_1.0.23-3_amd64.deb
  to main/a/alsa-lib/libasound2_1.0.23-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596968@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Apr 2011 19:41:43 +0200
Source: alsa-lib
Binary: libasound2 libasound2-dev lib64asound2 lib64asound2-dev lib32asound2 lib32asound2-dev libasound2-doc
Architecture: source amd64 all
Version: 1.0.23-3
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 lib32asound2 - shared library for ALSA applications (32 bit)
 lib32asound2-dev - shared library for ALSA applications -- development files (32 bit
 lib64asound2 - shared library for ALSA applications (64 bit)
 lib64asound2-dev - shared library for ALSA applications -- development files (64 bit
 libasound2 - shared library for ALSA applications
 libasound2-dev - shared library for ALSA applications -- development files
 libasound2-doc - developer documentation for user-space ALSA application programmi
Closes: 596968
Changes: 
 alsa-lib (1.0.23-3) unstable; urgency=low
 .
   [ Elimar Riesebieter ]
   * Added armhf to supported arch's of libasound2 and libasound2-dev
     (closes: #596968)
 .
   [ Jordi Mallach ]
   * Acknowledge Simon's NMU. Thanks a lot!
Checksums-Sha1: 
 1af63800c343b17287ef811e4d59417bc53e60e5 1881 alsa-lib_1.0.23-3.dsc
 98d9a57c242a871a94fda508100a33fea54a55c6 425641 alsa-lib_1.0.23-3.debian.tar.bz2
 b42943834b3b8cc86a2a11d4b72b994b9aefb4fd 430644 libasound2_1.0.23-3_amd64.deb
 9e3d9fbef8035f5373a129f9ac3a90ac76570922 575392 libasound2-dev_1.0.23-3_amd64.deb
 60b779e1e0051b831aebfd2dec2e10e642942882 325700 lib32asound2_1.0.23-3_amd64.deb
 b5f38c6ba43c26d0ec37cd8a976bdcd1ed7bca7b 446002 lib32asound2-dev_1.0.23-3_amd64.deb
 5977c1622364857e4ccb18392b1ac2c835f5a73f 1491916 libasound2-doc_1.0.23-3_all.deb
Checksums-Sha256: 
 d9a49205ca10ff202f0cd39975745dba426752aa378b9ec3f00ffd842678c8d3 1881 alsa-lib_1.0.23-3.dsc
 c35b8138b0593e4750e5dfe384b3ee03aa0f38a1792fcc1e18e12e5c9f3d4d24 425641 alsa-lib_1.0.23-3.debian.tar.bz2
 d10b4cb41f73dbcb0383d47e1ce8269e02582ff2d8fa54aba7124eebd829dda8 430644 libasound2_1.0.23-3_amd64.deb
 d476a1c291d3ca28335fd3bc4ce90641b623a682b608b3cbfdbb1497deb5bafc 575392 libasound2-dev_1.0.23-3_amd64.deb
 ffd3913bd7cbc9b7f0670146a6424e16236bc4af529dc4b39feaa03ed74e7fb0 325700 lib32asound2_1.0.23-3_amd64.deb
 fded9b9cd12c9715ceca2e7a1ad0fc93b7d720d4da1d6ddd78a7d6ac8e755881 446002 lib32asound2-dev_1.0.23-3_amd64.deb
 a2a7a21026cfe2eb2adca660650f912b6b1657ed8fca83beedcb5c96cc8c19d7 1491916 libasound2-doc_1.0.23-3_all.deb
Files: 
 6640535cdab82ee12b08aff1e525ce96 1881 libs optional alsa-lib_1.0.23-3.dsc
 c1f4a594ffd0517421c20129bfbce23b 425641 libs optional alsa-lib_1.0.23-3.debian.tar.bz2
 adedda2d7acfcc5f68304087809226cd 430644 libs optional libasound2_1.0.23-3_amd64.deb
 f069ac45e8a6e57f6b688df9ec7170a8 575392 libdevel optional libasound2-dev_1.0.23-3_amd64.deb
 5c91062dd9386bcad1a8d571a3af7657 325700 libs optional lib32asound2_1.0.23-3_amd64.deb
 d56e302aa0b53085a57aec0527773b85 446002 libdevel optional lib32asound2-dev_1.0.23-3_amd64.deb
 4f53355cab75df424e826062982048b1 1491916 doc optional libasound2-doc_1.0.23-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2sgMAACgkQJYSUupF6Il7FSwCcD+MiUulOuob+dtV+85FaQt6x
x4AAnjzddIWZTswf2a4xHoZ6USlpQis/
=fc8D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:42:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:28:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.